| Unuk 1.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Player Class Reference

`#include <Player.h>`

List of all members.

## Public Member Functions
| Player (void)
| ~Player (void)
void | Prepare (void)
void | Render (void)
void | SetSprite (void)
void | SetPosition (GLdouble posx, GLdouble posy)
void | SetVelocity (GLdouble velx, GLdouble vely)
void | CleanUp (void)

## Detailed Description

Definition at line 6 of file Player.h.

## Constructor & Destructor Documentation

Player::Player | ( | void |  | ) |

Definition at line 8 of file Player.cpp.

Player::~Player | ( | void |  | ) |

Definition at line 12 of file Player.cpp.

## Member Function Documentation

void Player::CleanUp | ( | void |  | ) |

Definition at line 61 of file Player.cpp.

void Player::Prepare | ( | void |  | ) |

Definition at line 16 of file Player.cpp.

void Player::Render | ( | void |  | ) |

Definition at line 35 of file Player.cpp.

void Player::SetPosition | ( | GLdouble | posx,
|  | GLdouble | posy
| ) |  |

Definition at line 44 of file Player.cpp.

void Player::SetSprite | ( | void |  | ) |

Definition at line 40 of file Player.cpp.

void Player::SetVelocity | ( | GLdouble | velx,
|  | GLdouble | vely
| ) |  |

Definition at line 53 of file Player.cpp.

The documentation for this class was generated from the following files:

- src/Unuk/Player.h
- src/Unuk/Player.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines